Top > OOo > Ext > MRI > Documentation > Installation

Installation Edit

Installation Edit

  • Requirements
    OpenOffice.org (2.4 or later) with Python-UNO bridge installation. Python (2.3.4).

If you are using OpenOffice.org 2.0 - 2.3, use version 0.4.x.

Install MRI.oxt extension package using Extension Manager from Tools - Extension Manager....

After installation, you have to restart your OpenOffice.org to function well. If you use the OpenOffice.org Quickstarter, stop it once.

If you do not have Py-UNO bridge installation, you see the error message shown below. You need to install Python-UNO component.

"ImplementationRegistration::registerImplementation() - The service com.sun.star.loader.Python cannnot be instantiated"

If you get the following error, you have problems in your OpenOffice.org installation.
"(com.sun.star.uno.RuntimeException){{Message = "pythonloader: couldn't find core element pythonloader.Loader", Contex = (com.sun.star.uno.XInterface) @0}}

Updating Edit

If you want to upgrade MRI, do not overwrite old one. And install new version of MRI after uninstallation of old one and restarting OpenOffice.org. If you do not restart OpenOffice.org, the exception raises like below.

Updating procedure:

  1. Close all MRI window and all documents.
  2. Uninstall old version of MRI using Extension Manager.
  3. Restart OpenOffice.org completely. (Don't forget to stop the OpenOffice.org Quickstarter)
  4. Install MRI using Extension Manager.
  5. Restart OpenOffice.org again.

If you do not restar before the installation of new MRI, Extension Manager raises an error.

installation-exception.png

If you encounter with it, uninstall MRI.oxt package and restart OpenOffice.org before installation.

If the error do not resolved, try this procedure:

  1. Uninstall MRI from Extension Manager if it is remained.
  2. Restar OpenOffice.org.
  3. Open Extension Manager and double click the context (My Extensions or OpenOffice.org Extensions). Only extending the tree view.
  4. Restart OpenOffice.org another.
  5. Install MRI according to the installation section.

You can update MRI by overwrite older one on the OpenOffice.org 2.4 or later.

UnInstallation Edit

Remove MRI.oxt package using Extension Manager from Tools - Extension Manager...


Attach file: filenon_python.png 449 download [Information] fileinstallation-exception.png 446 download [Information]

Reload   New Lower page making Edit Freeze Diff Upload Copy Rename   Front page List of pages Search Recent changes Backup   Help   RSS of recent changes